#pragma once

#include "ofAddons.h"
#include "ofMain.h"

#include "cardDef.h"
#include "baseScene.h"
#include "arPlane.h"

class baseCardScene: public baseScene{
		
	public:
		//----------------------------------
		baseCardScene(){
			allCards.clear();
			currentCards.clear();
		}
		
		//----------------------------------
		void setPlanePtr(arPlane * planePtrIn){
			planePtr = planePtrIn;
		}
		
		//----------------------------
		void passCurrentCards(vector <card> cardsIn){
			currentCards.clear();
			currentCards = cardsIn;
		}

		//----------------------------
		void passAllCards(vector <card> cardsIn){
			allCards.clear();
			allCards = cardsIn;
		}
		
	protected:
		arPlane * planePtr;
		vector <card> allCards;
		vector <card> currentCards;
};